GET /screens/{id}/offline-exports
curl --request GET \
--url https://api.layarva.com/api/platform/v1/workspaces/{workspaceId}/screens/{id}/offline-exports \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.layarva.com/api/platform/v1/workspaces/{workspaceId}/screens/{id}/offline-exports"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.layarva.com/api/platform/v1/workspaces/{workspaceId}/screens/{id}/offline-exports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.layarva.com/api/platform/v1/workspaces/{workspaceId}/screens/{id}/offline-exports",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.layarva.com/api/platform/v1/workspaces/{workspaceId}/screens/{id}/offline-exports"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.layarva.com/api/platform/v1/workspaces/{workspaceId}/screens/{id}/offline-exports")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.layarva.com/api/platform/v1/workspaces/{workspaceId}/screens/{id}/offline-exports")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "<string>",
"screenId": "<string>",
"channelId": "<string>",
"publicationId": "<string>",
"status": "REQUESTED",
"createdAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"leaseValidUntil": "2023-11-07T05:31:56Z",
"sizeBytes": 123,
"checksumSha256": "<string>",
"failureCode": "<string>"
}
],
"page": {
"limit": 50,
"nextCursor": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}Offline exports
GET /screens/{id}/offline-exports
If this request returns 503, stop the workflow and retry later when instructed, or contact support with its requestId. List this Screen’s exports created with your initiating API key. Follow page.nextCursor using after for the next page. Required permissions: screens.offline-export. Use Postman or your backend. Keep your API key private; do not enter it in this public documentation page.
GET
/
screens
/
{id}
/
offline-exports
GET /screens/{id}/offline-exports
curl --request GET \
--url https://api.layarva.com/api/platform/v1/workspaces/{workspaceId}/screens/{id}/offline-exports \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.layarva.com/api/platform/v1/workspaces/{workspaceId}/screens/{id}/offline-exports"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.layarva.com/api/platform/v1/workspaces/{workspaceId}/screens/{id}/offline-exports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.layarva.com/api/platform/v1/workspaces/{workspaceId}/screens/{id}/offline-exports",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.layarva.com/api/platform/v1/workspaces/{workspaceId}/screens/{id}/offline-exports"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.layarva.com/api/platform/v1/workspaces/{workspaceId}/screens/{id}/offline-exports")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.layarva.com/api/platform/v1/workspaces/{workspaceId}/screens/{id}/offline-exports")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "<string>",
"screenId": "<string>",
"channelId": "<string>",
"publicationId": "<string>",
"status": "REQUESTED",
"createdAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"leaseValidUntil": "2023-11-07T05:31:56Z",
"sizeBytes": 123,
"checksumSha256": "<string>",
"failureCode": "<string>"
}
],
"page": {
"limit": 50,
"nextCursor": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}If this request returns
503, stop the workflow and retry later when instructed, or contact support with the response requestId. See the offline export guide.page.nextCursor using after for the next page.
Required permissions: screens.offline-export.
Read request; no mutation Idempotency-Key is required.
Use your Platform API key in Postman or your backend. Keep it private; do not enter it in this public page. Your workspace permissions and plan limits apply.

